Index: code/branches/FICN/src/orxonox/core/ConfigValueContainer.h
===================================================================
--- code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 708)
+++ code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 715)
@@ -44,4 +44,5 @@
 
 #include <list>
+#include <string>
 
 #include "CorePrereqs.h"
@@ -51,5 +52,4 @@
 #include "misc/Matrix3.h"
 #include "misc/Quaternion.h"
-#include "misc/String.h"
 #include "misc/ColourValue.h"
 #include "Language.h"
@@ -93,17 +93,17 @@
             };
 
-            ConfigValueContainer(const String& classname, const String& varname, int defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, unsigned int defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, char defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, unsigned char defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, float defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, double defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, long double defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, bool defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, const String& defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, const char* defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, Vector2 defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, Vector3 defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, ColourValue defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, int defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, unsigned int defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, char defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, unsigned char defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, float defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, double defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, long double defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, bool defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, const std::string& defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, const char* defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, Vector2 defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, Vector3 defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, ColourValue defvalue);
 
             /** @returns the value. @param value This is only needed to determine the right type. */
@@ -124,5 +124,5 @@
             inline ConfigValueContainer& getValue(bool& value)                          { value = this->value_.value_bool_; return *this; }
             /** @returns the value. @param value This is only needed to determine the right type. */
-            inline ConfigValueContainer& getValue(String& value)                   { value = this->value_string_; return *this; }
+            inline ConfigValueContainer& getValue(std::string& value)                   { value = this->value_string_; return *this; }
             /** @returns the value. @param value This is only needed to determine the right type. */
             inline ConfigValueContainer& getValue(const char* value)                    { value = this->value_string_.c_str(); return *this; }
@@ -134,40 +134,40 @@
             inline ConfigValueContainer& getValue(ColourValue& value)             { value = this->value_colourvalue_; return *this; }
 
-            void description(const String& description);
+            void description(const std::string& description);
 
-            bool parseSting(const String& input);
+            bool parseSting(const std::string& input);
             void resetConfigFileEntry();
             void resetConfigValue();
 
-            static String getStrippedLine(const String& line);
-            static bool isEmpty(const String& line);
-            static bool isComment(const String& line);
+            static std::string getStrippedLine(const std::string& line);
+            static bool isEmpty(const std::string& line);
+            static bool isComment(const std::string& line);
 
         private:
-            bool parseSting(const String& input, int defvalue);
-            bool parseSting(const String& input, unsigned int defvalue);
-            bool parseSting(const String& input, char defvalue);
-            bool parseSting(const String& input, unsigned char defvalue);
-            bool parseSting(const String& input, float defvalue);
-            bool parseSting(const String& input, double defvalue);
-            bool parseSting(const String& input, long double defvalue);
-            bool parseSting(const String& input, bool defvalue);
-            bool parseSting(const String& input, const String& defvalue);
-            bool parseSting(const String& input, const char* defvalue);
-            bool parseSting(const String& input, const Vector2& defvalue);
-            bool parseSting(const String& input, const Vector3& defvalue);
-            bool parseSting(const String& input, const ColourValue& defvalue);
+            bool parseSting(const std::string& input, int defvalue);
+            bool parseSting(const std::string& input, unsigned int defvalue);
+            bool parseSting(const std::string& input, char defvalue);
+            bool parseSting(const std::string& input, unsigned char defvalue);
+            bool parseSting(const std::string& input, float defvalue);
+            bool parseSting(const std::string& input, double defvalue);
+            bool parseSting(const std::string& input, long double defvalue);
+            bool parseSting(const std::string& input, bool defvalue);
+            bool parseSting(const std::string& input, const std::string& defvalue);
+            bool parseSting(const std::string& input, const char* defvalue);
+            bool parseSting(const std::string& input, const Vector2& defvalue);
+            bool parseSting(const std::string& input, const Vector3& defvalue);
+            bool parseSting(const std::string& input, const ColourValue& defvalue);
 
-            static std::list<String>& getConfigFileLines();
+            static std::list<std::string>& getConfigFileLines();
             static bool finishedReadingConfigFile(bool finished = false);
             void searchConfigFileLine();
-            String parseValueString(bool bStripped = true);
+            std::string parseValueString(bool bStripped = true);
 
-            static void readConfigFile(const String& filename);
-            static void writeConfigFile(const String& filename);
+            static void readConfigFile(const std::string& filename);
+            static void writeConfigFile(const std::string& filename);
 
-            String         classname_;                     //!< The name of the class the variable belongs to
-            String         varname_;                       //!< The name of the variable
-            String         defvalueString_;                //!< The string of the default-variable
+            std::string         classname_;                     //!< The name of the class the variable belongs to
+            std::string         varname_;                       //!< The name of the variable
+            std::string         defvalueString_;                //!< The string of the default-variable
 
             union MultiType
@@ -183,10 +183,10 @@
             } value_;                                           //!< The value of the variable
 
-            String         value_string_;                  //!< The value, if the variable is of the type string
+            std::string         value_string_;                  //!< The value, if the variable is of the type string
             Vector2       value_vector2_;                 //!< The value, if the variable is of the type Vector2
             Vector3       value_vector3_;                 //!< The value, if the variable is of the type Vector3
             ColourValue   value_colourvalue_;             //!< The value, if the variable is of the type ColourValue
 
-            std::list<String>::iterator configFileLine_;   //!< An iterator, pointing to the entry of the variable in the config-file
+            std::list<std::string>::iterator configFileLine_;   //!< An iterator, pointing to the entry of the variable in the config-file
 
             VariableType type_;                                 //!< The type of the variable
